# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           translation-filter
Version:        0.0.2
Release:        4%{?dist}
Summary:        A l10n file filter

Group:          Development/Languages
License:        GPLv2
URL:            http://kushaldas.in
Source0:        http://kushal.fedorapeople.org/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools, PyQt4-devel, desktop-file-utils
Requires:       PyQt4

%description
A l10n file filter to check translations

%prep
%setup -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
desktop-file-install --vendor="fedora"                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications           \
%{buildroot}/%{_datadir}/applications/translation-filter.desktop
rm -rf %{buildroot}/%{_datadir}/applications/translation-filter.desktop

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc docs/README docs/ChangeLog docs/COPYING 
# For noarch packages: sitelib
%{python_sitelib}/*
%{_bindir}/*
%{_datadir}/*

%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.0.2-3
- Rebuild for Python 2.6

* Mon Aug 11 2008 Kushal Das <kushal@fedoraproject.org> 0.0.2-2
- Fixed BR and LICENSE issue

* Wed Aug 06 2008 Kushal Das <kushal@fedoraproject.org> 0.0.2-1
- New version 

* Mon Aug 04 2008 Kushal Das <kushal@fedoraproject.org> 0.0.1-1
- Initial release

